Subject: bug#20611: 24.4; mutt slow in ansi-term

From: Mark Hindley <[email-masked]>
Date: Sun, 10 Apr 2016 10:15:26 +0100

On Sat, Apr 09, 2016 at 12:38:18PM +0300, Eli Zaretskii wrote:
> > Date: Sat, 9 Apr 2016 08:39:37 +0100
> > From: Mark Hindley <[email-masked]>
> > Cc: [email-masked]
> > 
> > I have upgraded to faster hardware, so it is less apparent, but my perception is
> > that redraws within the terminal is slow. Particularly if the terminal is the
> > only buffer visible within emacs.
> 
> Does that only happen with mutt, or also with any other display in
> ansi-term?

I have just tried alsamixer within ansi-term, and redraws in response to Ctrl-L
take well over a second.

> Also, above you say "terminal", which seems to be a much more broad
> issue.  Did you still mean ansi-term, or did you mean Emacs running on
> a text terminal?

Sorry for my rather loose use of language: as originally, I meant ansi-term.
Would anything else help narrow this down?

Mark